# ApplicationFramework
PTKernel
PColStd

# PColStd_HSingleListOfInteger Class Reference

`#include <PColStd_HSingleListOfInteger.hxx>`

Inheritance diagram for PColStd_HSingleListOfInteger:

[legend]

## Public Member Functions

Standard_EXPORT | PColStd_HSingleListOfInteger ()
Standard_EXPORT Standard_Boolean | IsEmpty () const
Standard_EXPORT Handle_PColStd_HSingleListOfInteger | Construct (const Standard_Integer &T) const
Standard_EXPORT Standard_Integer | Value () const
Standard_EXPORT Handle_PColStd_HSingleListOfInteger | Tail () const
Standard_EXPORT void | SwapTail (Handle(PColStd_HSingleListOfInteger)&WithList)
Standard_EXPORT void | SetValue (const Standard_Integer &T)
Standard_EXPORT void | ChangeForwardPointer (const Handle(PColStd_HSingleListOfInteger)&ForwardPointer)
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColStd_HSingleListOfInteger (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColStd_HSingleListOfIntegerData () const
void | _CSFDB_SetPColStd_HSingleListOfIntegerData (const Standard_Integer p)
| Handle (PColStd_HSingleListOfInteger) _CSFDB_GetPColStd_HSingleListOfIntegerNext() const
void | _CSFDB_SetPColStd_HSingleListOfIntegerNext (const Handle(PColStd_HSingleListOfInteger)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | Data
Handle_PColStd_HSingleListOfInteger | Next

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_HSingleListOfInteger::PColStd_HSingleListOfInteger | ( |  | ) |

PColStd_HSingleListOfInteger::PColStd_HSingleListOfInteger | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Integer PColStd_HSingleListOfInteger::_CSFDB_GetPColStd_HSingleListOfIntegerData | ( |  | ) | const`[inline]`

void PColStd_HSingleListOfInteger::_CSFDB_SetPColStd_HSingleListOfIntegerData | ( | const Standard_Integer | p | ) | `[inline]`

void PColStd_HSingleListOfInteger::_CSFDB_SetPColStd_HSingleListOfIntegerNext | ( | const Handle(PColStd_HSingleListOfInteger)& | p | ) | `[inline]`

Standard_EXPORT void PColStd_HSingleListOfInteger::ChangeForwardPointer | ( | const Handle(PColStd_HSingleListOfInteger)& | ForwardPointer | ) |

Standard_EXPORT Handle_PColStd_HSingleListOfInteger PColStd_HSingleListOfInteger::Construct | ( | const Standard_Integer & | T | ) | const

Standard_EXPORT const PColStd_HSingleListOfInteger::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PMMgt_PManaged.

PColStd_HSingleListOfInteger::Handle | ( | PColStd_HSingleListOfInteger |  | ) | const`[inline]`

Standard_EXPORT Standard_Boolean PColStd_HSingleListOfInteger::IsEmpty | ( |  | ) | const

Standard_EXPORT void PColStd_HSingleListOfInteger::SetValue | ( | const Standard_Integer & | T | ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColStd_HSingleListOfInteger::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColStd_HSingleListOfInteger::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_EXPORT void PColStd_HSingleListOfInteger::SwapTail | ( | Handle(PColStd_HSingleListOfInteger)& | WithList | ) |

Standard_EXPORT Handle_PColStd_HSingleListOfInteger PColStd_HSingleListOfInteger::Tail | ( |  | ) | const

Standard_EXPORT Standard_Integer PColStd_HSingleListOfInteger::Value | ( |  | ) | const

## Field Documentation

Standard_Integer PColStd_HSingleListOfInteger::Data `[private]`

Handle_PColStd_HSingleListOfInteger PColStd_HSingleListOfInteger::Next `[private]`

The documentation for this class was generated from the following file:

- PColStd_HSingleListOfInteger.hxx